%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define productname      OrderedObjectManager 
%define productver       1.4.3

%define __find           /usr/bin/find

Name:               zope-%{productname}
Summary:            A Zope product: %{productname}
Version:            %{productver} 
Release:            1ied00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://zope.org/Members/mjablonski/%{productname}
Source:             %{productname}-%{productver}.tar.gz
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch
Requires(preun):    %{__find}
BuildRequires:      %{__find}

Source1:            %{productname}-1.4.3-plone-zh-cn.po
#Patch0:             %{productname}-1.4.1-icons-nowrap.patch
Patch1:             %{productname}-1.4.3-reinstall-bug.patch

#----------------------------------------------------------------------
%description

The OrderedObjectManager patches the ObjectManager so that you can
determine the order of all ZOPE/Plone-objects by hand. Simply
"click & move" the objects to the required positions. This is extremly
useful if you need special sortings for objects in folders for
displaying in navigational elements.

#----------------------------------------------------------------------
%prep

%setup -n %{productname}
%{__find} . -type f -exec %{__chmod} -x {} \;

%{__mkdir} i18n
%{__cp} %{SOURCE1} i18n/plone-zh.po
%{__sed} -r 's/(Language-code: zh)/\1-cn/' %{SOURCE1} | %{__grep} -v X-Is-Fallback-For > i18n/plone-zh-cn.po

#%patch0 -p1
%patch1 -p1

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

#----------------------------------------------------------------------
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%preun

%{__find} %{zopeproductsdir}/%{productname} -iname *.pyc -exec %{__rm} '{}' \;

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt version.txt
%dir %{zopeproductsdir}/%{productname}
%{zopeproductsdir}/%{productname}/*

#----------------------------------------------------------------------
%changelog
* Wed May 19 2004 Wei He <hewei@ied.org.cn> 1.4.3-1ied00
- updated to 1.4.3
- fixed Plone 2.0 reinstall bug
- partial Simplified Chinese translation in plone domain
- now removing *.pyc in {percent}preun section

* Tue Feb 24 2004 Wei He <hewei@ied.org.cn> 1.4.1-1ied00
- Interface improvement to avoid icons from wrapping to the next line

* Fri Jan  9 2004 czw <czw@senol.org.cn> 1.4.1-0ied00
- Initial release
